--- a/src/qwt_painter_command.h
+++ b/src/qwt_painter_command.h
@@ -15,6 +15,7 @@
 #include <qpixmap.h>
 #include <qimage.h>
 #include <qpolygon.h>
+#include <qpainterpath.h>
 
 class QPainterPath;
 
--- a/src/qwt_null_paintdevice.cpp
+++ b/src/qwt_null_paintdevice.cpp
@@ -9,6 +9,7 @@
 
 #include "qwt_null_paintdevice.h"
 #include <qpaintengine.h>
+#include <qpainterpath.h>
 #include <qpixmap.h>
 
 class QwtNullPaintDevice::PrivateData
--- a/src/qwt_painter.cpp
+++ b/src/qwt_painter.cpp
@@ -19,6 +19,7 @@
 #include <qpainter.h>
 #include <qpalette.h>
 #include <qpaintdevice.h>
+#include <qpainterpath.h>
 #include <qpixmap.h>
 #include <qstyle.h>
 #include <qtextdocument.h>
--- a/src/qwt_widget_overlay.cpp
+++ b/src/qwt_widget_overlay.cpp
@@ -10,6 +10,7 @@
 #include "qwt_widget_overlay.h"
 #include "qwt_painter.h"
 #include <qpainter.h>
+#include <qpainterpath.h>
 #include <qpaintengine.h>
 #include <qimage.h>
 #include <qevent.h>
--- a/src/qwt_plot_panner.cpp
+++ b/src/qwt_plot_panner.cpp
@@ -14,6 +14,7 @@
 #include <qbitmap.h>
 #include <qstyle.h>
 #include <qstyleoption.h>
+#include <qpainterpath.h>
 
 #if QT_VERSION >= 0x050000
 #if QT_VERSION < 0x050100
--- a/src/qwt_plot_renderer.cpp
+++ b/src/qwt_plot_renderer.cpp
@@ -20,6 +20,7 @@
 #include "qwt_math.h"
 
 #include <qpainter.h>
+#include <qpainterpath.h>
 #include <qtransform.h>
 #include <qprinter.h>
 #include <qfiledialog.h>
--- a/src/qwt_dial_needle.cpp
+++ b/src/qwt_dial_needle.cpp
@@ -13,6 +13,7 @@
 #include "qwt_painter.h"
 #include <qapplication.h>
 #include <qpainter.h>
+#include <qpainterpath.h>
 
 #if QT_VERSION < 0x040601
 #define qFastSin(x) qSin(x)
--- a/src/qwt_compass_rose.cpp
+++ b/src/qwt_compass_rose.cpp
@@ -11,6 +11,7 @@
 #include "qwt_point_polar.h"
 #include "qwt_painter.h"
 #include <qpainter.h>
+#include <qpainterpath.h>
 
 static QPointF qwtIntersection(
     QPointF p11, QPointF p12, QPointF p21, QPointF p22 )
--- a/src/qwt_plot_glcanvas.h
+++ b/src/qwt_plot_glcanvas.h
@@ -12,6 +12,7 @@
 
 #include "qwt_global.h"
 #include <qframe.h>
+#include <qpainterpath.h>
 #include <qgl.h>
 
 class QwtPlot;
